# eric6.Plugins.VcsPlugins.vcsGit.GitSubmodulesSummaryOptionsDialog

Module implementing a dialog to enter submodule summary options.

### Global Attributes

None

### Classes

GitSubmodulesSummaryOptionsDialog | Class implementing a dialog to enter submodule summary options.

### Functions

None

## GitSubmodulesSummaryOptionsDialog

Class implementing a dialog to enter submodule summary options.

### Derived from

QDialog, Ui_GitSubmodulesSummaryOptionsDialog

### Class Attributes

None

### Class Methods

None

### Methods

GitSubmodulesSummaryOptionsDialog | Constructor
getData | Public method to get the entered data.

### Static Methods

None

#### GitSubmodulesSummaryOptionsDialog (Constructor)

GitSubmodulesSummaryOptionsDialog(submodulePaths, parent=None)

Constructor

submodulePaths (list of str)
  list of submodule paths
parent (QWidget)
  reference to the parent widget

#### GitSubmodulesSummaryOptionsDialog.getData

getData()

Public method to get the entered data.

Returns:
  tuple containing a list of selected submodules, a flag indicating to show summary for the superproject index, a flag indicating to show summary for the submodules index, an optional commit ID and a value for the number of entries to be shown

Return Type:
  tuple of (list of str, bool, bool, str, int)

Up